EnhancedBars_Options = {

	-- Use true to show drained/recovered portion of the health bar (like many fighting games).

	ShowChange = true,


	-- Use true to show predicted HoT on the health bar (requires that OverTimePredictor is enabled).

	ShowHoT = true,


	-- Use true to show predicted DoT on the health bar (requires that OverTimePredictor is enabled).

	ShowDoT = true,


	-- Use true to show predicted absorb (damage and healing absorption) on the health bar (requires that OverTimePredictor is enabled).
	-- Setting this to false will enable Blizzard's own absorb bar.

	ShowAbsorb = true,


	-- Use true to hide max text on health bars (i.e: 380k / 393k is shortened to 380k).
	-- This option is useful to make more room to see the actual health bar, as text on health bar is quite intrusive.

	HideMaxText = true,
	
	
	-- Put here names of frames you want to hide health/mana text
	
	HideFrameText = {
		--"PlayerFrame",
		--"PetFrame",
		--"TargetFrame",
		--"TargetFrameToT",
		--"FocusFrame",
		--"FocusFrameToT",
		--"PartyMemberFrame1",
		--"PartyMemberFrame2",
		--"PartyMemberFrame3",
		--"PartyMemberFrame4",
		--"ArenaEnemyFrame1",
		--"ArenaEnemyFrame2",
		--"ArenaEnemyFrame3",
		--"ArenaEnemyFrame4",
		--"ArenaEnemyFrame5",
		--"Boss1TargetFrame",
		--"Boss2TargetFrame",
		--"Boss3TargetFrame",
		--"Boss4TargetFrame",
		--"Boss5TargetFrame",
	},
	
	
	-- Use true to apply EnhancedBars to nameplates.
	
	IncludeNameplates = true,
	
	
	-- Use true to apply EnhancedBars to raid frames (EXPERIMENTAL, there are still a lot of visual issues, NOT RECOMMANDED).
	
	IncludeRaidFrames = false,
	
	
	-- Use true to show PvP scaled health values of players when PvP scaling is known (EXPERIMENTAL).
	-- This option requires HideMaxText to be set to true.
	-- Enable this option to see health bars change consistently with damage values on your combat log in PvP.
	-- On the other hand, health shown on health bars will no longer be consistent with what your teammates see.
	-- Current health text color will be green if the player has upscaled health, red if it has downscaled health.
	
	ShowScaledHealthValues = false,
	
}

local layout = {
	-- Note to users: you can customize colors and timings of EnhancedBars here.

	-- Standard bar
	[0] = {
		minSpeed = 0.25,   -- Minimal drain speed (in % of full bar per sec)
		maxSpeed = 1.00,   -- Maximal drain speed (in % of full bar per sec)
		adjustTime = 2.00, -- Normal time needed to drain (before applying above min/max)
		pause = {
			["DECREASE"] = 0.50, -- Pause when a new drain occurs
			["INCREASE"] = 0.50, -- Pause when a new recovery occurs
		},
		colors = {
			["DECREASE"] = {r = 1.00, g = 0.00, b = 0.00},
			["INCREASE"] = {r = 0.50, g = 1.00, b = 0.00},
			["DOT"]      = {r = 1.00, g = 0.80, b = 0.00},
			["HOT"]      = {r = 0.00, g = 0.50, b = 0.00},
			["ABSORB"]   = {r = 1.00, g = 1.00, b = 1.00},
			["NECRO"]    = {r = 0.50, g = 0.25, b = 1.00},
		},
	},
	
	-- Compact bar (nameplates & raid)
	[1] = {
		minSpeed = 0.25,   -- Minimal drain speed (in % of full bar per sec)
		maxSpeed = 1.00,   -- Maximal drain speed (in % of full bar per sec)
		adjustTime = 2.00, -- Normal time needed to drain (before applying above min/max)
		pause = {
			["DECREASE"] = 0.50, -- Pause when a new drain occurs
			["INCREASE"] = 0.50, -- Pause when a new recovery occurs
		},
		colors = {
			["DECREASE"] = {r = 0.50, g = 0.00, b = 0.00},
			["INCREASE"] = {r = 0.30, g = 0.60, b = 0.00},
			["DOT"]      = {r = 0.80, g = 0.70, b = 0.00},
			["HOT"]      = {r = 0.00, g = 0.40, b = 0.00},
			["ABSORB"]   = {r = 1.00, g = 1.00, b = 1.00},
			["NECRO"]    = {r = 0.50, g = 0.25, b = 1.00},
		},
	},
}

-- --------------------------------------------------------------------
-- **                            Functions                           **
-- --------------------------------------------------------------------

function EnhancedBars_GetLayout(style, mode)
	local info = layout[style or 0]
	return info.minSpeed, info.maxSpeed, info.adjustTime, info.pause[mode] or 0, info.colors[mode]
end